Table of Contents

## Name

glViewport - set the viewport

## C Specification

void glViewport( GLint x,

        GLint y,
        GLsizei width,
        GLsizei height )

eqn not supported

## Parameters

x, y
  Specify the lower left corner of the viewport rectangle, in pixels. The initial value is (0,0).
width, height
  Specify the width and height of the viewport. When a GL context is first attached to a window, width and height are set to the dimensions of that window.

## Description

glViewport specifies the affine transformation of $x$ and $y$ from normalized device coordinates to window coordinates. Let ($x sub nd$, $y sub nd$) be normalized device coordinates. Then the window coordinates ($x sub w$, $y sub w$) are computed as follows:

eqn not supported

eqn not supported

Viewport width and height are silently clamped to a range that depends on the implementation. To query this range, call glGet with argument GL_MAX_VIEWPORT_DIMS.

## Errors

GL_INVALID_VALUE is generated if either width or height is negative.

GL_INVALID_OPERATION is generated if glViewport is executed between the execution of glBegin and the corresponding execution of glEnd.

## Associated Gets

glGet with argument GL_VIEWPORT
glGet with argument GL_MAX_VIEWPORT_DIMS

## See Also

glDepthRange(3G)

Table of Contents

- Name
- C Specification
- Parameters
- Description
- Errors
- Associated Gets
- See Also